Rocky Linux: RLSA-2022:7541 redis | LinuxSecurity.com
{"type":"TYPE_SECURITY","shortCode":"RL","name":"RLSA-2022:7541","synopsis":"Low: redis:6 security, bug fix, and enhancement update","severity":"SEVERITY_LOW","topic":"An update for the redis:6 module is now available for Rocky Linux 8.\nRocky Enterprise Software Foundation Product Security has rated this update as having a security impact of Low. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.","description":"Redis is an advanced key-value store. It is often referred to as a data-structure server since keys can contain strings, hashes, lists, sets, and sorted sets. For performance, Redis works with an in-memory data set. You can persist it either by dumping the data set to disk every once in a while, or by appending each command to a log.\nThe following packages have been upgraded to a later upstream version: redis (6.2.7). (BZ#1999873)\nFor more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.\nAdditional Changes:\nFor detailed information on changes in this release, see the Rocky Linux 8.7 Release Notes linked from the References section.","solution":null,"affectedProducts":["Rocky Linux 8"],"fixes":[{"ticket":"1999873","sourceBy":"Red Hat","sourceLink":"https:\/\/bugzilla.redhat.com\/show_bug.cgi?id=1999873","description":"[RFE] Bringing Redis 6.2>= to RHEL 8"},{"ticket":"2080286","sourceBy":"Red Hat","sourceLink":"https:\/\/bugzilla.redhat.com\/show_bug.cgi?id=2080286","description":"CVE-2022-24735 redis: Code injection via Lua script execution environment"},{"ticket":"2080289","sourceBy":"Red Hat","sourceLink":"https:\/\/bugzilla.redhat.com\/show_bug.cgi?id=2080289","description":"CVE-2022-24736 redis: Malformed Lua script can crash Redis"}],"cves":[{"name":"CVE-2022-24735","sourceBy":"Red Hat","sourceLink":"https:\/\/access.redhat.com\/hydra\/rest\/securitydata\/cve\/CVE-2022-24735.json","cvss3ScoringVector":"CVSS:3.1\/AV:L\/AC:L\/PR:L\/UI:R\/S:U\/C:L\/I:L\/A:N","cvss3BaseScore":"3.9","cwe":"CWE-94"},{"name":"CVE-2022-24736","sourceBy":"Red Hat","sourceLink":"https:\/\/access.redhat.com\/hydra\/rest\/securitydata\/cve\/CVE-2022-24736.json","cvss3ScoringVector":"CVSS:3.1\/AV:L\/AC:L\/PR:L\/UI:N\/S:U\/C:N\/I:N\/A:L","cvss3BaseScore":"3.3","cwe":"CWE-476"}],"references":[],"publishedAt":"2022-12-07T14:05:23.856237Z","rpms":{},"rebootSuggested":false,"buildReferences":[]}

Rocky Linux: RLSA-2022:7541 redis

December 7, 2022
An update for the redis:6 module is now available for Rocky Linux 8. Rocky Enterprise Software Foundation Product Security has rated this update as having a security impact of Low

Summary

An update for the redis:6 module is now available for Rocky Linux 8. Rocky Enterprise Software Foundation Product Security has rated this update as having a security impact of Low. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.


Redis is an advanced key-value store. It is often referred to as a data-structure server since keys can contain strings, hashes, lists, sets, and sorted sets. For performance, Redis works with an in-memory data set. You can persist it either by dumping the data set to disk every once in a while, or by appending each command to a log. The following packages have been upgraded to a later upstream version: redis (6.2.7). (BZ#1999873) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section. Additional Changes: For detailed information on changes in this release, see the Rocky Linux 8.7 Release Notes linked from the References section.

RPMs

References

No References

CVEs

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2022-24735.json

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2022-24736.json

Severity
Name: RLSA-2022:7541
Affected Products: Rocky Linux 8

Fixes

https://bugzilla.redhat.com/show_bug.cgi?id=1999873

https://bugzilla.redhat.com/show_bug.cgi?id=2080286

https://bugzilla.redhat.com/show_bug.cgi?id=2080289